# CKEditor 3.0 JavaScript API Documentation

Code Index | File Index

## Namespaces

- CKEDITOR
- CKEDITOR.ajax
- CKEDITOR.config
- CKEDITOR.dom
- CKEDITOR.dtd
- CKEDITOR.env
- CKEDITOR.imageCacher
- CKEDITOR.loader
- CKEDITOR.plugins
- CKEDITOR.resourceManager
- CKEDITOR.scriptLoader
- CKEDITOR.skins
- CKEDITOR.test
- CKEDITOR.themes
- CKEDITOR.tools

## Classes

- CKEDITOR.commandDefinition
- CKEDITOR.dialog
- CKEDITOR.dialog.buttonDefinition
- CKEDITOR.dialog.contentDefinition
- CKEDITOR.dialog.contentDefinitionObject
- CKEDITOR.dialog.dialogDefinition
- CKEDITOR.dialog.dialogDefinitionObject
- CKEDITOR.dialog.uiElementDefinition
- CKEDITOR.dialogCommand
- CKEDITOR.dom.document
- CKEDITOR.dom.domObject
- CKEDITOR.dom.element
- CKEDITOR.dom.event
- CKEDITOR.dom.node
- CKEDITOR.dom.selection
- CKEDITOR.dom.text
- CKEDITOR.dom.window
- CKEDITOR.editor
- CKEDITOR.event
- CKEDITOR.eventInfo
- CKEDITOR.focusManager
- CKEDITOR.htmlParser
- CKEDITOR.htmlParser.cdata
- CKEDITOR.htmlParser.comment
- CKEDITOR.htmlParser.element
- CKEDITOR.htmlParser.fragment
- CKEDITOR.htmlParser.text
- CKEDITOR.htmlWriter
- CKEDITOR.keystrokeHandler
- CKEDITOR.pluginDefinition
- CKEDITOR.ui
- CKEDITOR.ui.button
- CKEDITOR.ui.dialog.button
- CKEDITOR.ui.dialog.checkbox
- CKEDITOR.ui.dialog.file
- CKEDITOR.ui.dialog.fileButton
- CKEDITOR.ui.dialog.hbox
- CKEDITOR.ui.dialog.html
- CKEDITOR.ui.dialog.labeledElement
- CKEDITOR.ui.dialog.radio
- CKEDITOR.ui.dialog.select
- CKEDITOR.ui.dialog.textarea
- CKEDITOR.ui.dialog.textInput
- CKEDITOR.ui.dialog.uiElement
- CKEDITOR.ui.dialog.vbox
- CKEDITOR.ui.handlerDefinition
- CKEDITOR.xml

# Class CKEDITOR.dialog.contentDefinitionObject

Defined in: plugins/dialog/plugin.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CKEDITOR.dialog.contentDefinitionObject() This class is not really part of the API.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| add(elementDefinition, nextSiblingId) Adds a UI element definition to the content definition.
| get(id) Gets a UI element definition under the content definition.
| remove(id) Removes a UI element definition from the content definition.

Class Detail
CKEDITOR.dialog.contentDefinitionObject()
Since: 3.0
This class is not really part of the API. It is the template of the objects representing content pages inside the CKEDITOR.dialog.dialogDefinitionObject.

    CKEDITOR.on( 'dialogDefinition', function( evt )
    	{
    		var definition = evt.data.definition;
    		var content = definition.getContents( 'page1' );
    		content.remove( 'textInput1' );
    		...
    	} );

Method Detail
{CKEDITOR.dialog.uiElementDefinition} add(elementDefinition, nextSiblingId)
Since: 3.0
Adds a UI element definition to the content definition.

    NO EXAMPLE AVAILABLE

Parameters:
{CKEDITOR.dialog.uiElementDefinition} elementDefinition
  The UI elemnet definition to be added.
{String} nextSiblingId
  The id of an existing UI element definition which the new UI element definition will be inserted before. Omit if the new button definition is to be inserted as the last item.

Returns:
  {CKEDITOR.dialog.uiElementDefinition} The element definition inserted.

{CKEDITOR.dialog.uiElementDefinition} get(id)
Since: 3.0
Gets a UI element definition under the content definition.

    NO EXAMPLE AVAILABLE

Parameters:
{String} id
  The id of the UI element definition.

Returns:
  {CKEDITOR.dialog.uiElementDefinition}

{CKEDITOR.dialog.uiElementDefinition} remove(id)
Since: 3.0
Removes a UI element definition from the content definition.

Parameters:
{String} id
  The id of the UI element definition to be removed.

Returns:
  {CKEDITOR.dialog.uiElementDefinition} The element definition removed.

Copyright © 2003-2009, CKSource - Frederico Knabben. All rights reserved.